aws-0.24.4: Amazon Web Services (AWS) for Haskell

Copyright | Soostone Inc
License | BSD3
Maintainer | Ozgun Ataman <ozgun.ataman@soostone.com>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.GetItem

Description

Synopsis

- data GetItem = GetItem {
  - giTableName :: Text
  - giKey :: PrimaryKey
  - giAttrs :: Maybe [Text]
  - giConsistent :: Bool
  - giRetCons :: ReturnConsumption
  }
- getItem :: Text -> PrimaryKey -> GetItem
- data GetItemResponse = GetItemResponse {
  - girItem :: Maybe Item
  - girConsumed :: Maybe ConsumedCapacity
  }

# Documentation

data GetItem #

A GetItem query that fetches a specific object from DDB.

See: `http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/API_GetItem.html`

Constructors

GetItem |

Fields

- giTableName :: Text
- giKey :: PrimaryKey
- giAttrs :: Maybe [Text]

  Attributes to get. `Nothing` grabs everything.

- giConsistent :: Bool

  Whether to issue a consistent read.

- giRetCons :: ReturnConsumption

  Whether to return consumption stats.

#### Instances

Instances details

ToJSON GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods toJSON :: GetItem -> Value # toEncoding :: GetItem -> Encoding # toJSONList :: [GetItem] -> Value # toEncodingList :: [GetItem] -> Encoding # omitField :: GetItem -> Bool #
SignQuery GetItem # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ServiceConfiguration GetItem |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration

Methods

signQuery :: GetItem -> ServiceConfiguration GetItem queryType -> SignatureData -> SignedQuery #

Read GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods readsPrec :: Int -> ReadS GetItem # readList :: ReadS [GetItem] # readPrec :: ReadPrec GetItem # readListPrec :: ReadPrec [GetItem] #
Show GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods showsPrec :: Int -> GetItem -> ShowS # show :: GetItem -> String # showList :: [GetItem] -> ShowS #
Eq GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods (==) :: GetItem -> GetItem -> Bool # (/=) :: GetItem -> GetItem -> Bool #
Ord GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods compare :: GetItem -> GetItem -> Ordering # (<) :: GetItem -> GetItem -> Bool # (<=) :: GetItem -> GetItem -> Bool # (>) :: GetItem -> GetItem -> Bool # (>=) :: GetItem -> GetItem -> Bool # max :: GetItem -> GetItem -> GetItem # min :: GetItem -> GetItem -> GetItem #
Transaction GetItem GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
type ServiceConfiguration GetItem # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration

getItem #

Arguments

:: Text | Table name
-> PrimaryKey | Primary key
-> GetItem |

Construct a minimal `GetItem` request.

data GetItemResponse #

Response to a `GetItem` query.

Constructors

GetItemResponse |

Fields

- girItem :: Maybe Item
- girConsumed :: Maybe ConsumedCapacity

#### Instances

Instances details

FromJSON GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods parseJSON :: Value -> Parser GetItemResponse # parseJSONList :: Value -> Parser [GetItemResponse] # omittedField :: Maybe GetItemResponse #
AsMemoryResponse GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type MemoryResponse GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse

Methods

loadToMemory :: GetItemResponse -> ResourceT IO (MemoryResponse GetItemResponse) #

Read GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods readsPrec :: Int -> ReadS GetItemResponse # readList :: ReadS [GetItemResponse] # readPrec :: ReadPrec GetItemResponse # readListPrec :: ReadPrec [GetItemResponse] #
Show GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods showsPrec :: Int -> GetItemResponse -> ShowS # show :: GetItemResponse -> String # showList :: [GetItemResponse] -> ShowS #
Eq GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem Methods (==) :: GetItemResponse -> GetItemResponse -> Bool # (/=) :: GetItemResponse -> GetItemResponse -> Bool #
Ord GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Methods

compare :: GetItemResponse -> GetItemResponse -> Ordering #

(<) :: GetItemResponse -> GetItemResponse -> Bool #

(<=) :: GetItemResponse -> GetItemResponse -> Bool #

(>) :: GetItemResponse -> GetItemResponse -> Bool #

(>=) :: GetItemResponse -> GetItemResponse -> Bool #

max :: GetItemResponse -> GetItemResponse -> GetItemResponse #

min :: GetItemResponse -> GetItemResponse -> GetItemResponse #

ResponseConsumer r GetItemResponse # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type ResponseMetadata GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetItemResponse) -> HTTPResponseConsumer GetItemResponse #

Transaction GetItem GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
type MemoryResponse GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse
type ResponseMetadata GetItemResponse # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse